package com.ruoyi.ibs.list.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

/**
 * 营销清单
 *
 * @author ruoyi
 */
public class CustomerList {


    private String remark;
    /**
     * 客群名称
     */
    private String groupName;
    /**
     * 客群id
     */
    private String groupId;

    /**
     * 客户号
     */
    @Excel(name = "客户号", isExport = false)
    private String custId;

    /**
     * 客户内码
     */
    private String custIsn;
    /**
     * 客户名
     */

    private String custClaimStatus;

    @Excel(name = "客户名", isExport = false)
    private String custName;
    /**
     * 手机号码
     */
    @Excel(name = "手机号码", isExport = false)
    private String custPhone;
    /**
     * 身份证
     */
    @Excel(name = "证件号", isExport = false)
    private String custIdc;

    /**
     * 推送状态
     */
    @Excel(name = "是否导入成功", isExport = false)
    private String pushStatus;

    /**
     * 机构（支行）推送状态
     *
     *    0 未推送  1 成功  2 失败   -1 不成功
     *
     */
    private String pushBranchStatus;
    /**
     * 一级网格名称
     */
    private String gridName;

    /**
     * 一级网格名称
     */
    private String gridName2;

    /**
     * 一级网格名称
     */
    private String outlets;

    private String outletsId;
    /**
     * 归属客户经理名称
     */
    private String userName;


    private String createName;
    /**
     * 归属机构名称
     */
    private String deptName;

    @Excel(name = "推送支行", isExport = false)
    private Long deptId;

    //
    private String adminFlag;

    private String visitStatus;
    /**
     * 归属客户经理柜员号
     */
    @Excel(name = "柜员号", isExport = false)
    private String tellerId;

    /**
     * 法人或经营人姓名(只有企业或商户才有)
     */
    private String lpName;


    /**
     * 统信码(只有企业或商户才有)
     */
    private String socialCreditCode;

    private String socialCreditCodeType;

    private String custType;

    /**
     * 证件类型
     */
    @Excel(name = "证件类型", isExport = false)
    private String idType;

    /**
     * 客户类型,0个人,1商户，2企业
     */

    @Excel(name = "创建时间", isExport = false)
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    @Excel(name = "是否行内客户", isExport = false)
    private String custLb;

    private String tellerNameWithId;

    private String branchId;

    private String branchName;

    private String pushUserLevel;

    private String secondPushStatus;

    private String unSuccessBranchFlag;
    private String unSuccessHeadFlag;
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCustIsn() {
        return custIsn;
    }

    public void setCustIsn(String custIsn) {
        this.custIsn = custIsn;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getCustId() {
        return custId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getCustPhone() {
        return custPhone;
    }

    public void setCustPhone(String custPhone) {
        this.custPhone = custPhone;
    }

    public String getCustIdc() {
        return custIdc;
    }

    public void setCustIdc(String custIdc) {
        this.custIdc = custIdc;
    }

    public String getPushStatus() {
        return pushStatus;
    }

    public void setPushStatus(String pushStatus) {
        this.pushStatus = pushStatus;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getGridName2() {
        return gridName2;
    }

    public void setGridName2(String gridName2) {
        this.gridName2 = gridName2;
    }

    public String getTellerId() {
        return tellerId;
    }

    public void setTellerId(String tellerId) {
        this.tellerId = tellerId;
    }

    public String getOutlets() {
        return outlets;
    }

    public void setOutlets(String outlets) {
        this.outlets = outlets;
    }

    public String getLpName() {
        return lpName;
    }

    public void setLpName(String lpName) {
        this.lpName = lpName;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }


    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public String getSocialCreditCodeType() {
        return socialCreditCodeType;
    }

    public void setSocialCreditCodeType(String socialCreditCodeType) {
        this.socialCreditCodeType = socialCreditCodeType;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCustLb() {
        return custLb;
    }

    public void setCustLb(String custLb) {
        this.custLb = custLb;
    }

    public String getTellerNameWithId() {
        return tellerNameWithId;
    }

    public void setTellerNameWithId(String tellerNameWithId) {
        this.tellerNameWithId = tellerNameWithId;
    }

    public String getBranchId() {
        return branchId;
    }

    public void setBranchId(String branchId) {
        this.branchId = branchId;
    }

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    @Override
    public String toString() {
        return "CustomerList{" +
                "groupName='" + groupName + '\'' +
                ", custId='" + custId + '\'' +
                ", custName='" + custName + '\'' +
                ", custPhone='" + custPhone + '\'' +
                ", custIdc='" + custIdc + '\'' +
                ", pushStatus='" + pushStatus + '\'' +
                ", gridName='" + gridName + '\'' +
                ", gridName2='" + gridName2 + '\'' +
                ", userName='" + userName + '\'' +
                ", deptName='" + deptName + '\'' +
                ", tellerId='" + tellerId + '\'' +
                ", lpName='" + lpName + '\'' +
                ", socialCreditCode='" + socialCreditCode + '\'' +
                '}';
    }

    public String getCustClaimStatus() {
        return custClaimStatus;
    }

    public void setCustClaimStatus(String custClaimStatus) {
        this.custClaimStatus = custClaimStatus;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getAdminFlag() {
        return adminFlag;
    }

    public void setAdminFlag(String adminFlag) {
        this.adminFlag = adminFlag;
    }

    public String getPushUserLevel() {
        return pushUserLevel;
    }

    public void setPushUserLevel(String pushUserLevel) {
        this.pushUserLevel = pushUserLevel;
    }

    public String getSecondPushStatus() {
        return secondPushStatus;
    }

    public void setSecondPushStatus(String secondPushStatus) {
        this.secondPushStatus = secondPushStatus;
    }



    public String getUnSuccessBranchFlag() {
        return unSuccessBranchFlag;
    }

    public void setUnSuccessBranchFlag(String unSuccessBranchFlag) {
        this.unSuccessBranchFlag = unSuccessBranchFlag;
    }

    public String getUnSuccessHeadFlag() {
        return unSuccessHeadFlag;
    }

    public void setUnSuccessHeadFlag(String unSuccessHeadFlag) {
        this.unSuccessHeadFlag = unSuccessHeadFlag;
    }

    public String getPushBranchStatus() {
        return pushBranchStatus;
    }

    public void setPushBranchStatus(String pushBranchStatus) {
        this.pushBranchStatus = pushBranchStatus;
    }

    public String getVisitStatus() {
        return visitStatus;
    }

    public void setVisitStatus(String visitStatus) {
        this.visitStatus = visitStatus;
    }
}
